- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/delete#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/delete#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/delete#try-it)

Deletes the LoyaltyProgram matching the requested name.

### HTTP request

`DELETE https://merchantapi.googleapis.com/accounts/v1alpha/{name=accounts/*/programs/*/loyaltyPrograms/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the LoyaltyProgram to delete. Format: `accounts/{account}/programs/{program}/loyaltyPrograms/{loyaltyProgram}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).